perl-Dist-Zilla-Plugin-MetaData-BuiltWith-1.004005-alt1_3.noarch.rpm


Advertisement

Description

perl-Dist-Zilla-Plugin-MetaData-BuiltWith - Go overkill and report everything in all name-spaces

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package filename perl-Dist-Zilla-Plugin-MetaData-BuiltWith-1.004005-alt1_3.noarch.rpm
Package name perl-Dist-Zilla-Plugin-MetaData-BuiltWith
Package version 1.004005
Package release alt1_3
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage -
License -
Maintainer -
Download size 85.57 KB
Installed size 85.57 KB
Often, distribution authors get module dependencies wrong. So in such
cases, its handy to be able to see what version of various packages they
built with.
Some would prefer to demand everyone install the same version as they did,
but that's also not always necessary.
Hopefully, the existence of the metadata provided by this module will help
users on their end machines make intelligent choices about what modules to
install in the event of a problem.

Alternatives

Package Version Architecture Repository
perl-Dist-Zilla-Plugin-MetaData-BuiltWith - - -

Requires

Name Value
/usr/share/perl5 -
perl(CPAN/Meta/Converter.pm) -
perl(Config.pm) -
perl(Devel/CheckBin.pm) -
perl(Dist/Zilla/File/FromCode.pm) -
perl(Dist/Zilla/Role/FileGatherer.pm) -
perl(Dist/Zilla/Role/FileMunger.pm) -
perl(Dist/Zilla/Role/MetaProvider.pm) -
perl(JSON/MaybeXS.pm) -
perl(Module/Metadata.pm) -
perl(Module/Runtime.pm) -
perl(Moose.pm) >= 2.0
perl(MooseX/Types/Moose.pm) -
perl(Path/Tiny.pm) -
perl(YAML/Tiny.pm) -
perl(namespace/autoclean.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Dist/Zilla/Plugin/MetaData/BuiltWith.pm) = 1.004.005
perl(Dist/Zilla/Plugin/MetaData/BuiltWith/All.pm) = 1.004.005
perl-Dist-Zilla-Plugin-MetaData-BuiltWith = 1.004005-alt1_3

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-Dist-Zilla-Plugin-MetaData-BuiltWith-1.004005-alt1_3.noarch.rpm
Source Package perl-Dist-Zilla-Plugin-MetaData-BuiltWith-1.004005-alt1_3.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Dist-Zilla-Plugin-MetaData-BuiltWith rpm package:
    # sudo apt-get install perl-Dist-Zilla-Plugin-MetaData-BuiltWith

Files

Path
/usr/share/doc/perl-Dist-Zilla-Plugin-MetaData-BuiltWith-1.004005/Changes
/usr/share/doc/perl-Dist-Zilla-Plugin-MetaData-BuiltWith-1.004005/LICENSE
/usr/share/doc/perl-Dist-Zilla-Plugin-MetaData-BuiltWith-1.004005/META.json
/usr/share/doc/perl-Dist-Zilla-Plugin-MetaData-BuiltWith-1.004005/META.yml
/usr/share/doc/perl-Dist-Zilla-Plugin-MetaData-BuiltWith-1.004005/README
/usr/share/perl5/Dist/
/usr/share/perl5/Dist/Zilla/
/usr/share/perl5/Dist/Zilla/Plugin/
/usr/share/perl5/Dist/Zilla/Plugin/MetaData/BuiltWith.pm
/usr/share/perl5/Dist/Zilla/Plugin/MetaData/BuiltWith/All.pm

See Also

Package Description
perl-Dist-Zilla-Plugin-MetaMergeFile-0.001-alt1.noarch.rpm Add arbitrary metadata using a mergefile
perl-Dist-Zilla-Plugin-MetaProvides-Class-2.001001-alt1_3.noarch.rpm Scans Dist::Zilla's .pm files and tries to identify classes using Class::Discover
perl-Dist-Zilla-Plugin-MetaProvides-FromFile-2.001002-alt1_3.noarch.rpm In the event nothing else works, pull in hand-crafted metadata from a specified file
perl-Dist-Zilla-Plugin-MetaResources-Template-0.4.7-alt1.noarch.rpm Use Perl code in distribution "resource" metadata
perl-Dist-Zilla-Plugin-MetaResourcesFromGit-1.103620-alt3_8.noarch.rpm Metadata resource URLs from Git configuration
perl-Dist-Zilla-Plugin-MetaYAML-Minimal-0.001001-alt1.noarch.rpm Generate a reductionist YAML META file for compatibility only
perl-Dist-Zilla-Plugin-MinimumPerl-1.006-alt1_4.noarch.rpm Detects the minimum version of Perl required for your dist
perl-Dist-Zilla-Plugin-MinimumPerlFast-0.003-alt1.noarch.rpm Fast minimum perl version finder
perl-Dist-Zilla-Plugin-ModuleBuild-OptionalXS-0.01-alt1.noarch.rpm Build a module that has an XS component that only optionally needs to be built
perl-Dist-Zilla-Plugin-ModuleBuild-RequireXS-0.01-alt1.noarch.rpm perl module Dist-Zilla-Plugin-ModuleBuild-RequireXS
perl-Dist-Zilla-Plugin-ModuleBuild-XSOrPP-0.04-alt3_8.noarch.rpm Add a --pp option to your Build.PL to force an XS-less build
perl-Dist-Zilla-Plugin-ModuleBuildDatabase-0.05-alt1.noarch.rpm build a Build.PL that uses Module::Build::Database
perl-Dist-Zilla-Plugin-ModuleBuildTiny-0.015-alt1.noarch.rpm Build a Build.PL that uses Module::Build::Tiny
perl-Dist-Zilla-Plugin-ModuleBuildTiny-Fallback-0.025-alt1.noarch.rpm Build a Build.PL that uses Module::Build::Tiny, falling back to Module::Build as needed
perl-Dist-Zilla-Plugin-ModuleInstall-1.001002-alt1_3.noarch.rpm Build Module::Install based Distributions with Dist::Zilla
Advertisement
Advertisement